=== debian/changelog ===
cado (0.9.4-1) unstable; urgency=medium

  * Initial release. (Closes: #943411)

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Thu, 30 Jan 2020 18:07:28 +0100
