=== debian/control ===
Source: cado
Section: admin
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 12), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
Standards-Version: 4.3.0
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://github.com/rd235/cado.git
Vcs-Browser: https://github.com/rd235/cado

Package: cado
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Description: Capability Ambient DO
 Cado permits the delegation of capabilities to users. Cado is a capability
 based sudo. Sudo allows authorized users to run programs as root (or as
 another user), cado permits authorized users to run programs with specific
 (ambient) capabilities.
