=== debian/watch ===
version=4
https://github.com/rd235/cado/tags .*/v@ANY_VERSION@\.tar\.gz
