=== debian/changelog ===
cado (0.9.5-2) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.
  [Andrea Capriotti]
  * Bump Standards-Version to 4.6.1, no changes needed.
  * d/copyright: Update Debian copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 14 Aug 2022 13:09:11 +0200

cado (0.9.5-1) unstable; urgency=medium

  * Add debian/postrm
  * Update debhelper-compat and Standards-Version
  * Add hardening, update PostInstall flag
  * New upstream release.

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Sun, 03 May 2020 18:28:42 +0100
