=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
-Vcs-Git: https://github.com/rd235/cado.git
-Vcs-Browser: https://github.com/rd235/cado
+Vcs-Git: https://salsa.debian.org/virtualsquare-team/cado.git
+Vcs-Browser: https://salsa.debian.org/virtualsquare-team/cado
 
 Package: cado
 Architecture: linux-any
