=== debian/changelog ===
cado (0.9.6-1build1) mantic; urgency=medium

  * Rebuild against latest libexecs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 10:30:28 -0400

cado (0.9.6-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New version 0.9.6.
    + compatibility with libexecs1 1.4.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update copyright.

  [ Mattia Rizzolo ]
  * d/watch: drop unneded uupdate call.

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 24 Jun 2023 09:22:31 +0200
