=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cado-$1.tar.gz%" \
   https://github.com/rd235/cado/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
